/**
 *
 * <p>Titulo: Servidor de respuestas a preguntas</p>
 * <p>Descripcion: Este programa permite mostrar la lista de servicios encontrados.
 * </p>
 * @author Diego Gonzalez Barrientos
 * @version 1.0
 */
//Paquetes requeridos por el programa
import javax.microedition.lcdui.*;
import javax.bluetooth.*;
import java.util.Enumeration;
/**Clase que maneja parte grafica de los servicios encontrados
*/
class ServicioRemotoUI extends List
{
/**Constructor de la GUI de los servicios remotos
*/
  public ServicioRemotoUI()
  {
    super("Servicio Remoto", List.IMPLICIT);
    addCommand( new Command( "Seleccionar", Command.SCREEN, 1 ) );
    addCommand( new Command( "Volver", Command.SCREEN, 2 ) );
	 addCommand( new Command( "Salir", Command.SCREEN, 2 ) );
    addCommand( AdministradorBluetooth.BACK );
    setCommandListener( AdministradorBluetooth.instance );
  }

  /**
   * Configura un mensaje
   * @param str String
   */
  public void setMsg( String str )
  {
    super.deleteAll();
    append( str, null );

  }
  /**
   * Actualiza la lista con los dispositivos encontrados
   */
  public void showui()
  {
    super.deleteAll();
    if (AdministradorBluetooth.devices.size() > 0)
    {
      for (int i = 0; i < AdministradorBluetooth.services.size(); i++)
      {
        try
        { 
          ServiceRecord service = (ServiceRecord) AdministradorBluetooth.services.elementAt(i);
          String name = service.getConnectionURL(ServiceRecord.NOAUTHENTICATE_NOENCRYPT, false );
			 String titulo = (String)((DataElement)(service.getAttributeValue(0x4321))).getValue();
          append(titulo, null);
        } catch (Exception e)
        {
          e.printStackTrace();
        }
      }
    } else
    {
      append("[No se ha encontrado servicio]", null);
    }
  }

}
